Retrieve the type of a function parameter

- « FFI\CType::getFuncParameterCount

- FFI\CType::getFuncReturnType »

- PHP Manual
- FFI\CType
- Retrieve the type of a function parameter

# FFI\CType::getFuncParameterType

(PHP 8 >= 8.1.0)

FFI\CType::getFuncParameterType — Retrieve the type of a function parameter

### Description

public FFI\CType::getFuncParameterType(int `$index`): FFI\CType

Returns the type of a parameter for the underlying function type.

### Parameters

`index`

  Index of the function parameter, zero-based.

### Return Values

Returns the type of a parameter for the underlying function type. If the underlying type is not a function, or the given index is outside of the range of parameters of the function, an FFI\Exception is thrown.